# 备份还原工具 |uos-recovery-gui|

## 概述

为避免因软件缺陷、硬件损毁、人为操作不当等因素造成数据缺失或损坏，您可以进行应用数据或系统数据的备份还原，以保障系统的正常运行。

您可以在控制中心首页，单击<img src="../common/uos-recovery.svg" height="40">，进入备份还原工具，或在启动器中直接查找。

![backup_restore](fig/backup_restore.png)

## 备份

备份还原工具提供系统备份、数据备份两种常规备份方式。二者的区别在于，系统备份不仅备份系统中的数据，还备份系统中安装的应用程序、用户设置、系统参数等信息，以便迅速恢复整个系统。

![backup](fig/backup.png)

### 系统备份

您可以通过系统备份，备份您的系统目录，快速创建系统还原点。

![system_backup](fig/system_backup.png)

1. 进入备份还原工具，选择 **备份 > 系统备份**，单击 **下一步**。

2. 在身份认证弹窗中，认证管理员用户的身份。认证成功后进入系统备份页面，您可以设置备份模式和备份文件的保存路径。

   - 备份模式：系统备份、全盘备份

     - 系统备份：备份根分区、启动分区

     - 全盘备份：备份全磁盘的系统文件和用户文件

   - 保存方式：新增备份、系统增量备份

   > ![notes](../common/notes.svg)说明：全盘备份无法备份在自己本身的磁盘里，只能备份在其他存储介质中，备份过程中请勿移除存储介质。

3. 单击 **开始备份**，弹出二次验证框，单击 **重启并备份**，等待备份完成。

   > ![attention](../common/attention.svg)注意：在备份过程中，请不要拔掉电源或强行关机，以防止数据的丢失或损坏。

### 数据备份

您可以通过数据备份，指定文件和目录进行备份，以防数据丢失或受损。

![data_backup](fig/data_backup.png)

1. 进入备份还原工具，选择 **备份 > 数据备份**，单击 **下一步**。

2. 在身份认证弹窗中，认证当前登录用户的身份。认证成功后进入数据备份页面，您可以选择需要备份的数据和存储设备。

   - 单击<img src="../common/add.png" height="40">，选择所需备份的文件，选择后文件目录会显示在下方的备份列表中。
   - 单击 **存储目录** 下拉框，选择存储设备。

   > ![notes](../common/notes.svg)说明：备注信息为选填。

3. 单击 **开始备份**，等待备份完成。

   > ![attention](../common/attention.svg)注意：数据备份仅支持备份到外接存储设备，所以在进入数据备份前，请先接入可移动存储设备。备份过程中，请不要移除可移动存储设备，否则会导致备份失败。

## 还原

备份还原工具提供系统还原、数据还原、恢复出厂设置三种还原方式。

![restore](fig/restore.png)

### 系统还原

您可以通过系统还原，从备份的系统还原点还原系统。

![system_restore](fig/system_restore.png)

![system_restore_history](fig/system_restore_history.png)

1. 进入备份还原工具，选择 **还原 > 系统还原**，单击 **下一步**。
2. 在身份认证弹窗中，认证管理员用户的身份。认证成功后进入系统还原页面，您可以选择从备份文件还原或从历史备份还原。
   - 从备份文件还原
     1. 单击 **从备份文件还原**。
     2. 单击![loadfile](../common/loadfile.svg)，选择备份文件。
     3. 单击 **开始还原**，弹出二次验证框，单击 **重启并还原**，等待还原完成。
   - 从历史备份还原
     1. 单击 **历史备份**。
     2. 在历史备份列表中选择历史备份文件。
     3. 单击 **开始还原**，弹出二次验证框，单击 **重启并还原**，等待还原完成。

> ![notes](../common/notes.svg)说明：若要使用系统还原，需要存在历史备份文件。

### 数据还原

您可以通过数据还原，从数据备份中还原数据。

![data_restore](fig/data_restore.png)

1. 进入备份还原工具，选择 **还原 > 数据还原**，单击 **下一步**。
2. 在身份认证弹窗中，认证当前登录用户的身份。认证成功后进入数据还原页面，在列表中选择数据备份文件。
3. 单击 **开始还原**，等待还原完成。

> ![attention](../common/attention.svg)注意：进入数据还原前，请先接入可移动存储设备，并确保存在历史备份数据。还原过程中，请不要移除可移动存储设备，否则会导致还原失败。

### 恢复出厂设置

您可以通过恢复出厂设置，将您的系统恢复到初始状态。

![factory_reset](fig/factory_reset.png)

1. 进入备份还原工具，选择 **还原 > 恢复出厂设置**，单击 **下一步**。
2. 在身份认证弹窗中，认证管理员用户的身份。认证成功后进入恢复出厂设置页面，选择是否勾选 **保留用户数据**，默认为勾选。
3. 单击 **开始还原**，等待还原完成。

## 整机备份

除系统备份、数据备份两种常规备份方式外，备份还原工具还提供高级功能——整机备份，一键克隆您的系统环境和数据，并可以安装到其他设备上。

![full_backup](fig/full_backup.png)

1. 进入备份还原工具，选择 **高级 > 整机备份**，单击 **下一步**。
2. 在身份认证弹窗中，认证管理员用户的身份。认证成功后进入整机备份页面，单击 **选择目录**，选择 uimg 镜像文件存放目录。
3. 单击 **开始制作**，等待备份完成。

> ![notes](../common/notes.svg)说明：克隆的文件可以通过安装器安装。
