# 備份還原工具 |uos-recovery-gui|

## 概述

為避免因軟件缺陷、硬件損毀、人為操作不當等因素造成數據缺失或損壞，您可以進行應用數據或系統數據的備份還原，以保障系統的正常運行。

您可以在控制中心首頁，單擊<img src="../common/uos-recovery.svg" height="40">，進入備份還原工具，或在啟動器中直接查找。

![backup_restore](fig/backup_restore.png)

## 備份

備份還原工具提供系統備份、數據備份兩種常規備份方式。二者的區別在於，系統備份不僅備份系統中的數據，還備份系統中安裝的應用程式、用戶設置、系統參數等資訊，以便迅速恢復整個系統。

![backup](fig/backup.png)

### 系統備份

您可以通過系統備份，備份您的系統目錄，快速創建系統還原點。

![system_backup](fig/system_backup.png)

1. 進入備份還原工具，選擇 **備份 > 系統備份**，單擊 **下一步**。

2. 在身份認證彈窗中，認證管理員用戶的身份。認證成功後進入系統備份頁面，您可以設置備份模式和備份文件的保存路徑。
  
   - 備份模式：系統備份、全盤備份
     
     - 系統備份：備份根分區、啟動分區
     
     - 全盤備份：備份全磁盤的系統文件和用戶文件
   
   - 保存方式：新增備份、系統增量備份
   
   > ![notes](../common/notes.svg)說明：全盤備份無法備份在自己本身的磁盤裏，只能備份在其他存儲介質中，備份過程中請勿移除存儲介質。

3. 單擊 **開始備份**，彈出二次驗證框，單擊 **重啟並備份**，等待備份完成。
  
   > ![attention](../common/attention.svg)注意：在備份過程中，請不要拔掉電源或強行關機，以防止數據的丟失或損壞。

### 數據備份

您可以通過數據備份，指定文件和目錄進行備份，以防數據丟失或受損。

![data_backup](fig/data_backup.png)

1. 進入備份還原工具，選擇 **備份 > 數據備份**，單擊 **下一步**。

2. 在身份認證彈窗中，認證當前登錄用戶的身份。認證成功後進入數據備份頁面，您可以選擇需要備份的數據和存儲設備。
  
   - 單擊<img src="../common/add.png" height="40">，選擇所需備份的文件，選擇後文件目錄會顯示在下方的備份列表中。
   - 單擊 **存儲目錄** 下拉框，選擇存儲設備。
   
   > ![notes](../common/notes.svg)說明：備註資訊為選填。

3. 單擊 **開始備份**，等待備份完成。
  
   > ![attention](../common/attention.svg)注意：數據備份僅支持備份到外接存儲設備，所以在進入數據備份前，請先接入可移動存儲設備。備份過程中，請不要移除可移動存儲設備，否則會導致備份失敗。

## 還原

備份還原工具提供系統還原、數據還原、恢復出廠設置三種還原方式。

![restore](fig/restore.png)

### 系統還原

您可以通過系統還原，從備份的系統還原點還原系統。

![system_restore](fig/system_restore.png)

![system_restore_history](fig/system_restore_history.png)

1. 進入備份還原工具，選擇 **還原 > 系統還原**，單擊 **下一步**。
2. 在身份認證彈窗中，認證管理員用戶的身份。認證成功後進入系統還原頁面，您可以選擇從備份文件還原或從歷史備份還原。
   - 從備份文件還原
     1. 單擊 **從備份文件還原**。
     2. 單擊![loadfile](../common/loadfile.svg)，選擇備份文件。
     3. 單擊 **開始還原**，彈出二次驗證框，單擊 **重啟並還原**，等待還原完成。
   - 從歷史備份還原
     1. 單擊 **歷史備份**。
     2. 在歷史備份列表中選擇歷史備份文件。
     3. 單擊 **開始還原**，彈出二次驗證框，單擊 **重啟並還原**，等待還原完成。

> ![notes](../common/notes.svg)說明：若要使用系統還原，需要存在歷史備份文件。

### 數據還原

您可以通過數據還原，從數據備份中還原數據。

![data_restore](fig/data_restore.png)

1. 進入備份還原工具，選擇 **還原 > 數據還原**，單擊 **下一步**。
2. 在身份認證彈窗中，認證當前登錄用戶的身份。認證成功後進入數據還原頁面，在列表中選擇數據備份文件。
3. 單擊 **開始還原**，等待還原完成。

> ![attention](../common/attention.svg)
> 
> 注意：進入數據還原前，請先接入可移動存儲設備，並確保存在歷史備份數據。還原過程中，請不要移除可移動存儲設備，否則會導致還原失敗。

### 恢復出廠設置

您可以通過恢復出廠設置，將您的系統恢復到初始狀態。

![factory_reset](fig/factory_reset.png)

1. 進入備份還原工具，選擇 **還原 > 恢復出廠設置**，單擊 **下一步**。
2. 在身份認證彈窗中，認證管理員用戶的身份。認證成功後進入恢復出廠設置頁面，選擇是否勾選 **保留用戶數據**，默認為勾選。
3. 單擊 **開始還原**，等待還原完成。

## 整機備份

除系統備份、數據備份兩種常規備份方式外，備份還原工具還提供高級功能——整機備份，一鍵克隆您的系統環境和數據，並可以安裝到其他設備上。

![full_backup](fig/full_backup.png)

1. 進入備份還原工具，選擇 **高級 > 整機備份**，單擊 **下一步**。
2. 在身份認證彈窗中，認證管理員用戶的身份。認證成功後進入整機備份頁面，單擊 **選擇目錄**，選擇 uimg 鏡像文件存放目錄。
3. 單擊 **開始製作**，等待備份完成

> ![notes](../common/notes.svg)說明：克隆的文件可以通過安裝器安裝。
